<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesPais.home.createOrEditLabel"
          data-cy="PaisCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesPais.home.createOrEditLabel')"
        >
          Create or edit a Pais
        </h2>
        <div>
          <div class="form-group" v-if="pais.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="pais.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPais.pais')" for="pais-pais">Pais</label>
            <input
              type="text"
              class="form-control"
              name="pais"
              id="pais-pais"
              data-cy="pais"
              :class="{ valid: !$v.pais.pais.$invalid, invalid: $v.pais.pais.$invalid }"
              v-model="$v.pais.pais.$model"
            />
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.pais.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./pais-update.component.ts"></script>
